local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.WotlkVendorMounts(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)

  
  


 
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_ridingelekk_grey:24|t '.."\124cffa335ee\124Hitem:44230::::::::60:::::\124h[Reins of the Wooly Mammoth]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_mammoth_brown:24|t '.."\124cffa335ee\124Hitem:44234::::::::60:::::\124h[Reins of the Traveler's Tundra Mammoth]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_polarbear_brown:24|t '.."\124cffa335ee\124Hitem:44225::::::::60:::::\124h[Reins of the Armored Brown Bear]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_ebongryphon:24|t '.."\124cff0070dd\124Hitem:25471::::::::60:::::\124h[Ebon Gryphon]\124h\124r" )
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_goldengryphon:24|t '.."\124cff0070dd\124Hitem:25470::::::::60:::::\124h[Golden Gryphon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_gryphon_01i:24|t '.."\124cffa335ee\124Hitem:25473::::::::60:::::\124h[Swift Blue Gryphon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_snowygryphon:24|t '.."\124cff0070dd\124Hitem:25472::::::::60:::::\124h[Snowy Gryphon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_gryphon_01:24|t '.."\124cffa335ee\124Hitem:25529::::::::60:::::\124h[Swift Purple Gryphon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_gryphon_01:24|t '.."\124cffa335ee\124Hitem:25528::::::::60:::::\124h[Swift Green Gryphon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_bluewindrider:24|t '.."\124cff0070dd\124Hitem:25475::::::::60:::::\124h[Blue Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_greenwindrider:24|t '.."\124cff0070dd\124Hitem:25476::::::::60:::::\124h[Green Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_tawnywindrider:24|t '.."\124cff0070dd\124Hitem:25474::::::::60:::::\124h[Tawny Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_swiftpurplewindrider:24|t '.."\124cffa335ee\124Hitem:44690::::::::60:::::\124h[Armored Blue Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_swiftgreenwindrider:24|t '.."\124cffa335ee\124Hitem:25531::::::::60:::::\124h[Swift Green Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_swiftpurplewindrider:24|t '.."\124cffa335ee\124Hitem:25533::::::::60:::::\124h[Swift Purple Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_swiftredwindrider:24|t '.."\124cffa335ee\124Hitem:25477::::::::60:::::\124h[Swift Red Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_swiftyellowwindrider:24|t '.."\124cffa335ee\124Hitem:25532::::::::60:::::\124h[Swift Yellow Wind Rider]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Northrend Dalaran")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor Waypoint")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 57.6 42.6 Northrend Dalaran") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  
--=============================================================================================
--=============================================================================================
  
  
  

  
  
  

  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end